HanMacWrdKGraphInternal::Table Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
HanMacWrdKGraphInternal::Table Struct Reference

Internal: the table of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::Table:

## Public Member Functions
| Table (Frame const &orig, HanMacWrdKGraph &parser)
| constructor More...
| ~Table ()
| destructor More...
TableCell * | get (int i)
| return the i^th table cell More...
bool | sendText (long textId, long id) const
| send a text zone More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...
Public Member Functions inherited from MWAWTable
| MWAWTable (uint32_t givenData=BoxBit)
| the constructor More...
virtual | ~MWAWTable ()
| the destructor More...
void | add (shared_ptr< MWAWCell > cell)
| add a new cells More...
bool | mergeBorders () const
| returns true if we need to merge borders More...
bool | setMergeBorders (bool val)
| sets the merge borders' value More...
void | setAlignment (Alignment align, float leftMargin=0, float rightMargin=0)
| defines the current alignment More...
int | numCells () const
| returns the number of cell More...
std::vector< float > const & | getRowsSize () const
| returns the row size if defined (in point) More...
void | setRowsSize (std::vector< float > const &rSize)
| define the row size (in point) More...
std::vector< float > const & | getColsSize () const
| returns the columns size if defined (in point) More...
void | setColsSize (std::vector< float > const &cSize)
| define the columns size (in point) More...
shared_ptr< MWAWCell > | get (int id)
| returns the i^th cell More...
bool | updateTable ()
| try to build the table structures More...
bool | hasExtraLines ()
| returns true if the table has extralines More...
bool | sendTable (MWAWListenerPtr listener, bool inFrame=true)
| try to send the table More...
bool | sendAsText (MWAWListenerPtr listener)
| try to send the table as basic text More...
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList More...

## Public Attributes
HanMacWrdKGraph * | m_parser
| the graph parser More...
int | m_rows
| the number of row More...
int | m_columns
| the number of columns More...
int | m_numCells
| the number of cells More...
long | m_textFileId
| the text file id More...
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
long | m_fileSubId
| the file sub id More...
int | m_id
| the local id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
MWAWGraphicStyle | m_style
| the style More...
int | m_borderType
| the border type More...
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
bool | m_inGroup
| true if the frame is a child of a group More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Private Member Functions
| Table (Table const &orig)
Table & | operator= (Table const &orig)

## Friends
std::ostream & | operator<< (std::ostream &o, Table const &table)
| operator<< More...

## Additional Inherited Members
Public Types inherited from MWAWTable
enum | DataSet { CellPositionBit =1, BoxBit =2, SizeBit =4, TableDimBit =8, TablePosToCellBit =0x10 }
| an enum used to indicate what the list of entries which are filled More...
enum | Alignment { Paragraph, Left, Center, Right }
| an enum do define the table alignment. More...
Protected Member Functions inherited from MWAWTable
int | getCellIdPos (int col, int row) const
| convert a cell position in a posToCellId's position More...
bool | buildStructures ()
| create the correspondance list, ... More...
bool | buildDims ()
| compute the rows and the cells size More...
bool | buildPosToCellId ()
| a function which fills to posToCellId vector using the cell position More...
void | sendExtraLines (MWAWListenerPtr listener) const
| send extra line More...
Protected Attributes inherited from MWAWTable
uint32_t | m_givenData
| a int to indicate what data are given in entries More...
uint32_t | m_setData
| a int to indicate what data are been reconstruct More...
bool | m_mergeBorders
| do we need to merge cell borders ( default yes) More...
std::vector< shared_ptr< MWAWCell > > | m_cellsList
| the list of cells More...
size_t | m_numRows
| the number of rows ( set by buildPosToCellId ) More...
size_t | m_numCols
| the number of cols ( set by buildPosToCellId ) More...
std::vector< float > | m_rowsSize
| the final row size (in point) More...
std::vector< float > | m_colsSize
| the final col size (in point) More...
Alignment | m_alignment
| the table alignment More...
float | m_leftMargin
| the left margin in point More...
float | m_rightMargin
| the right margin in point More...
std::vector< int > | m_posToCellId
| a vector used to store an id corresponding to each cell More...
bool | m_hasExtraLines
| true if we need to send extra lines More...

## Detailed Description

Internal: the table of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## § Table() [1/2]

HanMacWrdKGraphInternal::Table::Table | ( | Frame const & | orig,
|  | HanMacWrdKGraph & | parser
| ) |  |
| inline

constructor

## § ~Table()

HanMacWrdKGraphInternal::Table::~Table | ( |  | ) |

destructor

## § Table() [2/2]

HanMacWrdKGraphInternal::Table::Table | ( | Table const & | orig | ) |
| private

## Member Function Documentation

## § get()

TableCell* HanMacWrdKGraphInternal::Table::get | ( | int | i | ) |
| inline

return the i^th table cell

Referenced by HanMacWrdKGraph::getTextFrameInformations().

## § operator=()

Table& HanMacWrdKGraphInternal::Table::operator= | ( | Table const & | orig | ) |
| private

## § print()

std::string HanMacWrdKGraphInternal::Table::print | ( |  | ) | const
| inline

print local data

## § sendText()

bool HanMacWrdKGraphInternal::Table::sendText | ( | long | textId,
|  | long | id
| ) |  | const
| inline

send a text zone

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Table const & | table
| ) |  |
| friend

operator<<

## Member Data Documentation

## § m_columns

int HanMacWrdKGraphInternal::Table::m_columns

the number of columns

## § m_numCells

int HanMacWrdKGraphInternal::Table::m_numCells

the number of cells

## § m_parser

HanMacWrdKGraph* HanMacWrdKGraphInternal::Table::m_parser

the graph parser

## § m_rows

int HanMacWrdKGraphInternal::Table::m_rows

the number of row

## § m_textFileId

long HanMacWrdKGraphInternal::Table::m_textFileId

the text file id

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx